IPCALC(1)

NOM
ipcalc - Effectuer de simples manipulations sur des adresses IP

SYNOPSIS
ipcalc [OPTION]... <adresse IP>[/préfixe] [masque réseau]

DESCRIPTION
ipcalc fournit une manière simple de déterminer les informations IP d'un hôte. Les diverses options permettent d'indiquer quelles informations seront affichées par ipcalc sur la sortie standard. Il est possible d'indiquer plusieurs options. Il faut toujours fournir une adresse IP sur laquelle travailler. La plupart des opérations ont également besoin d'un masque réseau ou d'un préfixe CIDR.

OPTIONS

-b, --broadcast
    Afficher l'adresse de diffusion générale (Ndt : broadcast) pour l'adresse IP et le masque réseau fournis.

-h, --hostname
    Afficher le nom de l'hôte pour l'adresse IP fournie.

-m, --netmask
    Déterminer le masque réseau pour l'adresse IP fournie. Cela suppose que cette adresse IP est dans un réseau complet de classe A, B ou C. Plusieurs réseaux ne doivent pas utiliser les masques réseau par défaut, auquel cas une valeur inappropriée serait renvoyée.

-p, --prefix
    Afficher le préfixe pour le masque ou l'adresse IP fourni.

-n, --network
    Afficher l'adresse réseau pour l'adresse IP et le masque fournis.

-s, --silent
    Ne jamais afficher les messages d'erreur.

AUTEURS
Erik Troan <ewt@redhat.com>
Preston Brown <pbrown@redhat.com>

BOGUES
Rapporter les bogues, en anglais, sur notre système de suivi de bogue : http://bugzilla.redhat.com/bugzilla.

COPYRIGHT
Copyright © 1997-2001 Red Hat, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 13 juillet 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 ipcalc ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.